Overview
POST
/auth/ecosystems/{ecosystemId}/invitationsauthSend invitations (email/SMS) for an ecosystem (owner-scoped)
Create a record in invitations.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
Request body
application/json · optional
- pendingUserIdsstring[]
- emailoptionalobject
- smsoptionalobject
Example
{
"pendingUserIds": [
"string"
],
"email": {
"note": "string"
},
"sms": {
"note": "string"
}
}Responses
201
Sent invitations
Example
[
{}
]400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/invitations" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"pendingUserIds": [
"string"
],
"email": {
"note": "string"
},
"sms": {
"note": "string"
}
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/invitations", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"pendingUserIds\": [\n \"string\"\n ],\n \"email\": {\n \"note\": \"string\"\n },\n \"sms\": {\n \"note\": \"string\"\n }\n}",
});
const data = await res.json();